#! ruby -Ks
  # encoding: Windows-31J
  # copy 'exlap.rb' to the ruby library path
require "fileutils"

def remove_old_file()
    ary = $:
    count = 0
    ary.each do |dir|
      next  if dir =~ /^\./
      dir = dir.gsub(/\\/, "/")
      dir = dir.sub(/\/+$/, "")
      filename = dir + "/exlap.rb"
      if test(?e, filename)
        File.unlink(filename)
        puts "delete '#{filename}'"
        count += 1
      end
      filename = dir + "/exlap_utf.rb"
      if test(?e, filename)
        File.unlink(filename)
        puts "delete '#{filename}'"
        count += 1
      end
    end
    return count
end

## main
src1 = "exlap.rb"
src2 = "exlap_utf.rb"
if !test(?e, src1) and !test(?e, src2)
  puts "can't find '#{src1}' | '#{src2}' "
  exit
end

dest_dir = nil
ary = $:
ary.each {|dir|
  dir = dir.gsub(/\\/, "/")
  if dir =~ /site_ruby\/\d[^\/]+$/
    dest_dir = dir
    break
  end
}
if dest_dir
  remove_old_file()
  w = []
  if test(?e, src1)
    FileUtils.cp(src1, dest_dir, {:preserve=>true})
    w << "'#{src1}'"
  end
  if test(?e, src2)
    FileUtils.cp(src2, dest_dir, {:preserve=>true})
    w << "'#{src2}'"
  end
  puts "copy #{w.join(', ')} to '#{dest_dir}'"
else
  puts "can't copy '#{src1}', '#{src2}'"
end
